#!/usr/bin/python3
if __name__ == '__main__':
  import sys
  import os
  sys.path.insert(0, os.path.abspath('config'))
  import configure
  configure_options = [
    '--CXX_LINKER_FLAGS=-Wl,--no-as-needed',
    '--PETSC_ARCH=i386-linux-gnu-real-64',
    '--build=i686-linux-gnu',
    '--includedir=${prefix}/include',
    '--infodir=${prefix}/share/info',
    '--libdir=${prefix}/lib/i386-linux-gnu',
    '--localstatedir=/var',
    '--mandir=${prefix}/share/man',
    '--prefix=/usr/lib/petscdir/petsc64-3.14/i386-linux-gnu-real',
    '--runstatedir=/run',
    '--shared-library-extension=64_real',
    '--sysconfdir=/etc',
    '--with-64-bit-indices',
    '--with-blas-lib=-lblas',
    '--with-cc=mpicc',
    '--with-cxx-dialect=C++11',
    '--with-cxx=mpicxx',
    '--with-debugging=0',
    '--with-dependency-tracking=0',
    '--with-fc=mpif90',
    '--with-fftw-include=[]',
    '--with-fftw-lib=-lfftw3 -lfftw3_mpi',
    '--with-fftw=1',
    '--with-hdf5-include=/usr/include/hdf5/openmpi',
    '--with-hdf5-lib=-L/usr/lib/i386-linux-gnu/hdf5/openmpi -L/usr/lib/i386-linux-gnu/openmpi/lib -lhdf5 -lmpi',
    '--with-lapack-lib=-llapack',
    '--with-maintainer-mode=0',
    '--with-mumps-include=[]',
    '--with-mumps-lib=-ldmumps_64 -lzmumps_64 -lsmumps_64 -lcmumps_64 -lmumps_common_64 -lpord_64',
    '--with-mumps=1',
    '--with-opencl=1',
    '--with-option-checking=0',
    '--with-pic=1',
    '--with-ptscotch-include=/usr/include/scotch',
    '--with-ptscotch-lib=-lptesmumps -lptscotch -lptscotcherr',
    '--with-ptscotch=1',
    '--with-scalapack-lib=-lscalapack-openmpi',
    '--with-scalapack=1',
    '--with-shared-libraries',
    '--with-silent-rules=0',
    '--with-superlu_dist-include=/usr/include/superlu-dist',
    '--with-superlu_dist-lib=-lsuperlu_dist',
    '--with-superlu_dist=1',
    'CFLAGS=-g -O2 -ffile-prefix-map=/build/petsc-JpxmCC/petsc-3.14.3+dfsg1=. -fstack-protector-strong -Wformat -Werror=format-security -fPIC',
    'CPPFLAGS=-Wdate-time -D_FORTIFY_SOURCE=2',
    'CXXFLAGS=-g -O2 -ffile-prefix-map=/build/petsc-JpxmCC/petsc-3.14.3+dfsg1=. -fstack-protector-strong -Wformat -Werror=format-security -fPIC',
    'FCFLAGS=-g -O2 -ffile-prefix-map=/build/petsc-JpxmCC/petsc-3.14.3+dfsg1=. -fstack-protector-strong -fPIC -ffree-line-length-0',
    'FFLAGS=-g -O2 -ffile-prefix-map=/build/petsc-JpxmCC/petsc-3.14.3+dfsg1=. -fstack-protector-strong -fPIC -ffree-line-length-0',
    'LDFLAGS=-Wl,-z,relro -fPIC',
    'MAKEFLAGS=w',
  ]
  configure.petsc_configure(configure_options)
